def force(pos)
  x=pos[0]
  y=pos[1]
  l=(x*x+y*y)**(3.0/2.0);
  return [-x/l,-y/l]
end

def verlet(r0,rh)
  f=force(r0)
  x=2*r0[0]-rh[0]+$h**2/$m*f[0];
  y=2*r0[1]-rh[1]+$h**2/$m*f[1];
  return [x,y]
end

dx=0.0000
dy=0.01
$h=0.01
$m=0.3
r=[[2.0,0],[2.0-dx,-dy]]
for i in 0..600 do
  r << verlet(r[-1],r[-2])
end 
nn=r.length-1
tmp=[]
dens=10
cont=""
for i in 0..nn/dens do
  cont << sprintf("[%7.5f,%7.5f],",r[i*dens][0],r[i*dens][1])
end

print "tmp:=[#{cont.chop!}];\n
with(plots):with(plottools):
potential:=plot3d(-1/sqrt(x^2+y^2)-0.1,
  x=-1..2.5,y=-1.5..1.5,view=-3.5..0,style=wireframe);
planet3:=proc(x)
global tmp,e;
  plots[display]([potential,
    sphere([tmp[x][1],tmp[x][2],
-1.0/sqrt(tmp[x][1]^2+tmp[x][2]^2)],0.1)], style=patchnogrid );
  end:
tmp2:=[];
for i from 1 to nops(tmp) do
  tmp2:=[op(tmp2),planet3(i)];
end do:
#plotsetup(gif,plotoutput=\"result.gif\");
display(tmp2,insequence=true,scaling=constrained,   orientation=[-45,30], axes=none);
#plotsetup(default);
"
